Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.graph
Class TransactionHandlerSDB

    java.lang.Object
      com.hp.hpl.jena.sdb.graph.TransactionHandlerSDB

All Implemented Interfaces:
  com.hp.hpl.jena.graph.TransactionHandler

    public class TransactionHandlerSDB

extends Object
implements com.hp.hpl.jena.graph.TransactionHandler

Constructor Summary
`TransactionHandlerSDB(SDBConnection connection)`

Method Summary
`void` | `abort()`
`void` | `abortFinally()`
`void` | `abortSilent()`
`void` | `begin()`
`void` | `commit()`
`Object` | `executeInTransaction(com.hp.hpl.jena.shared.Command c)`
`boolean` | `transactionsSupported()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionHandlerSDB

    public TransactionHandlerSDB(SDBConnection connection)

Method Detail

### transactionsSupported

    public boolean transactionsSupported()

  Specified by:
    `transactionsSupported` in interface `com.hp.hpl.jena.graph.TransactionHandler`

### begin

    public void begin()

  Specified by:
    `begin` in interface `com.hp.hpl.jena.graph.TransactionHandler`

### commit

    public void commit()

  Specified by:
    `commit` in interface `com.hp.hpl.jena.graph.TransactionHandler`

### abort

    public void abort()

  Specified by:
    `abort` in interface `com.hp.hpl.jena.graph.TransactionHandler`

### abortFinally

    public void abortFinally()

### abortSilent

    public void abortSilent()

### executeInTransaction

    public Object executeInTransaction(com.hp.hpl.jena.shared.Command c)

  Specified by:
    `executeInTransaction` in interface `com.hp.hpl.jena.graph.TransactionHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.